package com.nisum.service;

import com.nisum.model.Speaker;
import com.nisum.repository.HibernateSpeakerRepositoryImpl;
import com.nisum.repository.SpeakerRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("speakerService")
public class SpeakerServiceImpl implements SpeakerService {

    private SpeakerRepository repository;

    public SpeakerServiceImpl() {
        System.out.println("SpeakerServiceImpl no args constructor");
    }

    @Autowired
    public SpeakerServiceImpl(SpeakerRepository repository) {
        this.repository = repository;
        System.out.println("SpeakerServiceImpl repository constructor");

    }

    @Override
    public List<Speaker> findAll() {
        return repository.findAll();
    }


    public void setRepository(SpeakerRepository repository) {
        System.out.println("SpeakerServiceImpl set repository");

        this.repository = repository;
    }
}
